/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IArchiveScannerFactory.java 2950 2008-04-25 09:14:23Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.api;

import org.ow2.util.archive.api.IArchive;

/**
 * This interface is used by OSGi.
 * @author Gael Lalire
 */
public interface IArchiveScannerFactory {

    /**
     * Construct an archive scanner with an archive.
     * @param archive the archive
     * @return a new archive scanner
     */
    ArchiveScanner createArchiveScanner(IArchive archive);

    /**
     * Construct an archive scanner with an archive.
     * @param archiveHelper archive helper
     * @return a new archive scanner
     */
    ArchiveScanner createArchiveScanner(IArchiveHelper archiveHelper);

}
